<% @components = Decidim::Component.where(participatory_space_id: current_participatory_space.id) %>
<% @participatory_texts = @components.select do |component| component.settings.respond_to?(:participatory_texts_enabled) && component.settings.participatory_texts_enabled end %>
<% selected_ids = properties["selected_participatory_text_ids"] || [] %>
<% if !selected_ids.empty? %>
  <% @participatory_texts = @participatory_texts.select do |component|
    selected_ids.include?(component.id.to_s)
  end %>
<% end %>
<% order = properties['order'] %>
<% if order == 'most_recent' %>
<% @participatory_texts = @participatory_texts.sort_by { |component| component.created_at }.reverse %>
<% elsif order == 'oldest' %>
  <% @participatory_texts = @participatory_texts.sort_by { |component| component.created_at } %>
<% end %>
<div class="br-container-lg participatory-text-container-component">
  <div class="br_card_participatory_text_container">
    <div class="br_card_participatory_text_header">
      <h1><%= properties["title"] %></h1>
      <p><%= properties["description"] %></p>
    </div>
    <div class="card-grid card_participatory_text_component">
      <% @participatory_texts.each do |participatory_text| %>
        <% first_section = Decidim::Proposals::Proposal
                    .where(decidim_component_id: participatory_text.id, participatory_text_level: "section")
                    .order(:position)
                    .first %>
        <% first_article = Decidim::Proposals::Proposal
                    .where(decidim_component_id: participatory_text.id, participatory_text_level: "article")
                    .order(:position)
                    .first %>
        <% title = first_section.present? ? translated_attribute(first_section.title) : translated_attribute(participatory_text.name) %>
        <% description = first_article.present? ? strip_tags(translated_attribute(first_article.body)).truncate(150) : nil %>
        <% if description && title %>
          <div class="card card__animation column card--component default" id="participatory_text_<%= participatory_text.id %>">
            <div>
              <div class="component-card__content">
                <div class="badge_card"></div>

                <div class="proposal_card__header">
                  <a class="card__link" href="<%= main_component_path(participatory_text) %>" data-asw-orgfontsize="14" style="font-size: 14px;">
                    <div class="participatory_text_card__title">
                      <%= title %>
                    </div>
                  </a>
                </div>

                <div class="card__text--paragraph">
                  <div><%= description %></div>
                </div>
              </div>
            </div>

            <div class="proposal_card__footer">
              <div class="bp-divider"></div>
              <div class="proposal-buttons">
                <a class="card__button button--sc light button small" href="<%= main_component_path(participatory_text) %>" data-asw-orgfontsize="14" style="font-size: 14px;">
                  Ver <%= participatory_text.singular_name ? translated_attribute(participatory_text.singular_name) : translated_attribute(participatory_text.name) %>
                </a>
              </div>
            </div>
          </div>
        <% end %>
      <% end %>
    </div>
  </div>
</div>


<style>
  .participatory-text-container-component {
  padding: 2rem 0;
}

.br_card_participatory_text_header {
  display: flex;
  flex-direction: column;
  align-self: self-start;
  margin-left: 1.5rem;
  gap: 1rem;
  color: var(--blue-warm-vivid-70);
}

.card_participatory_text_component {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 2rem;
}

.card_participatory_text_component .card--component {
  max-width: none;
  width: 340px;
  border-radius: 0.5rem;
  height: auto;
}

@media screen and (max-width: 1048px) {
  .card_participatory_text_component {
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
  }
  .card_participatory_text_component .card--component {
    /* width: 60%; */
  }
}

.button_participatory_text_component {
  background-color: var(--gray-90);
  padding: 1rem 2rem;
}
.button_participatory_text_component:hover {
  background-color: var(--gray-80);
}

.br_card_participatory_text_container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}

.br_card_participatory_text_container h1 {
  font-size: 2rem;
  font-weight: bold;
  margin: 0;
  color: var(--blue-warm-vivid-80);
}

.br_card_participatory_text_container p {
  font-size: 1.2rem;
  color: var(--blue-warm-vivid-80);
}

.participatory_text_card__title {
  font-size: 1.25rem;
  font-weight: 600;
  color: var(--blue-warm-vivid-70);
  margin-top: 0;
}

</style>